Skip to main content

GET /contacts/\{id\}/account-statement/activity

GET 

/contacts/:id/account-statement/activity

GET /contacts/{id}/account-statement/activity

Request​

Path Parameters

    id int64required

Query Parameters

    date string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

Responses​

OK

Schema

    org

    object

    name stringnullable
    reg_no stringnullable
    tax_no stringnullable
    vat_no stringnullable
    eori_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    info_legal stringnullable

    config

    object

    logo stringnullable
    signature stringnullable
    website stringnullable
    email stringnullable
    phone stringnullable
    fb stringnullable
    insta stringnullable

    customer

    object

    id int64nullable
    business_name stringnullable
    display_name stringnullable
    reg_no stringnullable
    vat_no stringnullable
    tax_no stringnullable

    address

    object

    name stringnullable
    company stringnullable
    address1 stringnullable
    address2 stringnullable
    postal_code stringnullable
    city stringnullable
    region stringnullable
    country stringnullable

    Possible values: <= 2 characters

    email stringnullable
    preferred_locale stringnullable
    phone stringnullable
    date_from datenullable
    date_to datenullable
    has_period_range boolean

    balances

    object[]

    nullable

  • Array [

  • currency stringnullable
    invoiced double
    credited double
    paid double
    refunded double
    outstanding double
    opening_invoiced double
    opening_credited double
    opening_paid double
    opening_refunded double
    opening_outstanding double
    total_invoiced double
    total_credited double
    total_paid double
    total_refunded double
    total_outstanding double

    transactions

    object[]

    nullable

  • Array [

  • entry stringnullable
    date datenullable
    invoiced doublenullable
    credited doublenullable
    paid doublenullable
    refunded doublenullable
    currency stringnullable
    no stringnullable
  • ]

  • ]

Loading...